pico(1)

Nume
pico - editor de text simplu în stilul Alpine Composer

Sintaxă
pico [ opțiuni ] [ fișier ]

Descriere
Pico este un editor de text simplu, orientat spre afișare, bazat pe compozitorul sistemului de mesaje Alpine. Ca și în cazul Alpine, comenzile sunt afișate în partea de jos a ecranului și se oferă ajutor contextual. Pe măsură ce sunt tastate caracterele, acestea sunt inserate imediat în text.

Comenzile de editare se introduc folosind combinații de taste de control. Ca o soluție pentru programele de comunicații care înghit anumite caractere de control, puteți emula o tastă de control apăsând ESCAPE de două ori, urmată de caracterul de control dorit, de exemplu «ESC ESC c» ar fi echivalent cu introducerea unui «ctrl-c». Editorul are cinci caracteristici de bază: alinierea paragrafelor, căutarea, tăierea/lipirea blocurilor, un verificator ortografic și un explorator de fișiere.

Justificarea (sau completarea) paragrafului are loc în paragraful în care se află cursorul sau, dacă acesta se află între linii, în paragraful imediat inferior. Paragrafele sunt delimitate de linii goale sau de linii care încep cu un spațiu sau un tabulator. Anularea justificării se poate face imediat după justificare, folosind combinația de taste „control-U”.

Căutările prin șiruri de caractere nu sunt sensibile la majuscule și minuscule. O căutare începe de la poziția curentă a cursorului și se desfășoară până la sfârșitul textului. Cel mai recent șir de căutare este oferit ca valoare implicită în căutările ulterioare.

Blocurile de text pot fi mutate, copiate sau șterse prin utilizarea creativă a comenzilor de marcare (ctrl-^), ștergere (ctrl-k) și anulare (ctrl-u). Comanda de ștergere va elimina textul dintre „marcare” și poziția curentă a cursorului și îl va plasa în memoria tampon „cut” (de tăiere). Comanda de anulare a ștergerii efectuează un „lipire” la poziția curentă a cursorului.

Verificatorul ortografic examinează toate cuvintele din text. Apoi oferă, pe rând, fiecare cuvânt scris greșit pentru corectare, evidențiindu-l în același timp în text. Verificarea ortografică poate fi anulată în orice moment. Alternativ, pico va înlocui rutina implicită de verificare ortografică cu o rutină definită de variabila de mediu SPELL. Rutina de înlocuire trebuie să citească intrarea standard și să scrie ieșirea standard.

Exploratorul de fișiere este oferit ca opțiune în cadrul comenzilor „Read File” (citire fișier) și „Write Out” (scriere la ieșire). Acesta este destinat să ajute la căutarea unor fișiere specifice și la navigarea în ierarhiile de directoare. Numele fișierelor cu dimensiuni și numele directoarelor din directorul de lucru curent sunt prezentate pentru selecție. Directorul de lucru curent este afișat pe linia de sus a ecranului, în timp ce lista de comenzi disponibile ocupă cele două linii de jos. Sunt acceptate mai multe funcții de bază de manipulare a fișierelor: redenumire, copiere și ștergere de fișiere.

Un ajutor mai specific este disponibil în ajutorul disponibil în Internet al pico.

Opțiuni

+n  Face ca pico să fie inițiat cu cursorul situat la n linii în fișier. Notă: nu există spațiu între semnul "+" și număr.

-a  Afișează toate fișierele, inclusiv cele care încep cu un punct (.).

-b  Activează opțiunea de înlocuire a potrivirilor de text găsite cu ajutorul comenzii „Where is, (Unde este)”. Acest lucru nu face nimic acum. În schimb, opțiunea este întotdeauna activată (ca și cum ar fi fost specificat fanionul „-b”).

-d  Reprogramează tasta „delete, (ștergere)” astfel încât caracterul pe care se află cursorul să fie șters și nu caracterul din stânga sa.

-e  Activează completarea numelui de fișier.

-f  Utilizează tastele de funcție pentru comenzi. Această opțiune este acceptată numai în combinație cu UW Enhanced NCSA telnet.

-h  Listează opțiunile valide pentru linia de comandă.

-j  Activează comanda „Goto” (Mergi la). Acest lucru abilitează comanda pentru a permite să se indice în mod explicit lui pilot ce director să viziteze.

-g  Activează modul „Show Cursor, (Afișare cursor)” în exploratorul de fișiere. Face ca cursorul să fie poziționat înaintea selecției curente, în loc să fie plasat în partea din stânga jos a ecranului.

-k  Determină comanda „Cut Text, (Taie text)” să elimine caracterele de la poziția cursorului până la sfârșitul liniei, în loc să elimine întreaga linie.

-m  Activează funcționalitatea mouse-ului. Acest lucru funcționează numai atunci când pico este rulat din interiorul unei ferestre «xterm» a sistemului X Window.

-nn Opțiunea -nn activează notificarea de mesaje noi. Argumentul n este opțional și specifică cât de des, în secunde, este verificată căsuța poștală pentru mesaje noi. De exemplu, „-n60 face” ca pico să verifice dacă există corespondență nouă o dată la fiecare minut. Intervalul implicit este de 180 de secunde, în timp ce minimul permis este de 30. Notă: fără spațiu între „n” și număr.

-o director
    Stabilește directorul de operare. Numai fișierele din acest director sunt accesibile. De asemenea, exploratorul de fișiere este limitat la subarborele de directoare specificat.

-rn Definește coloana utilizată pentru a limita marja dreaptă a comenzii „Justify, (Justificare)”.

-s corector-ortografic
    Specifică un program alternativ spell, (corector ortografic) care să fie utilizat la verificarea ortografică.

-t  Activează modul „tool” (instrument). Destinat atunci când pico este utilizat ca editor în cadrul altor instrumente (de exemplu, Elm, Pnews). pico nu va solicita salvarea la ieșire și nu va redenumi memoria tampon în timpul comenzii „Write Out”.

-v  Vizualizează doar fișierul, fără a permite modificarea acestuia.

-version
    Afișează versiunea lui «pico» și iese.

-w  Dezactivează întreruperea cuvintelor (permițând astfel editarea liniilor lungi).

-x  Dezactivează meniul de taste din partea de jos a ecranului.

-z  Activează suspendarea ^Z a pico.

-p  Conservă caracterele „start” și „stop”, de obicei Ctrl-Q și Ctrl-S, care sunt uneori utilizate în rutele de comunicații pentru a controla fluxul de date între dispozitive care funcționează la viteze diferite.

-Q șir-ghilimele
    Stabilește șirul de ghilimele. Deosebit de utilă în special la redactarea de e-mailuri, această opțiune permite ca șirul de ghilimele să fie verificat la justificarea paragrafelor. Un șir de ghilimele obișnuit este "> ".

-W separator-cuvinte
    În cazul în care caracterele enumerate aici apar în mijlocul unui cuvânt înconjurat de caractere alfanumerice, cuvântul respectiv este împărțit în două cuvinte. Acest lucru este utilizat de comenzile de cuvinte „Forward” (înainte) și „Backward” (înapoi) și de verificatorul ortografic.

-q  Definiția termcap sau terminfo pentru secvențele de eludare la intrare este utilizată cu prioritate față de secvențele definite în mod implicit. Această opțiune este disponibilă numai dacă pico a fost compilat cu definiția TERMCAP_WINS activată.

-setlocale_ctype
    Efectuează setlocale(LC_CTYPE) dacă este disponibil.Valoarea implicită este de a nu face acest setlocale.

-no_setlocale_collate
    Nu efectuează setlocale(LC_COLLATE). Valoarea implicită este de a face acest setlocale.

În cele din urmă, atunci când un proces pico în curs de execuție este deconectat (adică primește un SIGHUP), pico va salva activitatea curentă, dacă este necesar, înainte de a ieși. Lucrarea este salvată sub numele de fișier curent cu „.save” adăugat. Dacă lucrarea curentă nu are nume, aceasta este salvată sub numele de fișier „pico.save”.

Suport pentru culori
Dacă terminalul dvs. acceptă culori, «pico» poate fi configurat pentru a colora textul. Utilizatorii pot configura culoarea textului, a textului din meniul de taste, din bara de titlu, a mesajelor și a promptului din linia de stare. Ca o caracteristică suplimentară, «pico» poate fi, de asemenea, utilizat pentru a configura culoarea a până la trei niveluri diferite de text citat și a semnăturii unui mesaj de e-mail. Acest lucru este util atunci când «pico» este utilizat ca instrument (cu opțiunea de linie de comandă „-t”).

«pico» vă poate spune numărul de culori pe care le acceptă terminalul dumneavoastră, atunci când este pornit cu opțiunea „-color_code”. În plus, «pico» va afișa un tabel cu codul numeric al fiecărei culori acceptate de terminalul respectiv. Pentru a configura culorile, trebuie să se utilizeze aceste coduri numerice. De exemplu, 0 este pentru negru, deci pentru a configura o culoare neagră, trebuie să se utilizeze codul acesteia, numărul 0.

Pentru a activa culorile, trebuie să utilizați opțiunea „-ncolors” cu o valoare numerică indicând numărul de culori pe care terminalul dvs. îl acceptă, de exemplu, -ncolors 256 indică faptul că utilizatorul dorește să utilizeze un tabel de 256 de culori.

Toate opțiunile care controlează culoarea, sunt opțiuni de patru litere. Ultimele două litere sunt fie „fc”, fie „bc”, indicând culoare de prim-plan și, respectiv, culoare de fundal. Primele două litere indică tipul de text care este configurat, de exemplu „nt” reprezintă text normal, astfel încât „-ntfc” reprezintă culoarea textului normal, în timp ce „-ntbc” reprezintă culoarea fundalului textului normal. Iată o listă completă a opțiunilor de culoare acceptate de «pico».

-color_code
    afișează numărul de culori acceptate de terminal, precum și un tabel care prezintă asocierea dintre culori și codurile numerice.

-ncolors număr
    activează suportul pentru culori în «pico» și îi spune acestuia câte culori să folosească. În funcție de terminalul dvs., număr poate fi 8, 16 sau 256.

-ntfc num
    specifică numărul num al culorii care urmează să fie utilizată pentru a colora textul normal.

-ntbc num
    specifică numărul num al culorii de fundal pentru textul normal.

-rtfc num
    specifică numărul num al culorii textului inversat. Valoarea implicită: aceeași cu culoarea de fundal a textului normal (dacă este specificată).

-rtbc num
    specifică numărul num al culorii fondului textului inversat. Valoarea implicită: aceeași cu culoarea textului normal (dacă este specificată).

-tbfc num
    specifică numărul num al culorii textului din bara de titlu. Valoarea implicită: aceeași cu culoarea de prim-plan a textului inversat.

-tbbc num
    specifică numărul num al culorii din fundalul barei de titlu.

-klfc num
    specifică numărul num al culorii textului de pe eticheta tastei.

-klbc num
    specifică numărul num al culorii din fundalul etichetei tastei.

-knfc num
    specifică numărul num al culorii textului din numele tastei.

-knbc num
    specifică numărul num al culorii de fundal a numelui tastei.

-stfc num
    specifică numărul num al culorii textului de pe linia de stare.

-stbc num
    specifică numărul num al culorii de fundal al liniei de stare.

-prfc num
    specifică numărul num al culorii textului unui prompt.

-prbc num
    specifică numărul num al culorii fundalului unui prompt.

-q1fc num
    specifică numărul num al culorii textului de la nivelul unu al textului menționat între ghilimele.

-q1bc num
    specifică numărul num al culorii fondului de la nivelul unu al textului pus între ghilimele. În cazul în care se utilizează opțiunea „-q1bc”, valoarea implicită a acestei opțiuni este culoarea de fundal sau a textului normal.

-q2fc num
    specifică numărul num al culorii textului de la nivelul doi al textului pus între ghilimele.

-q2bc num
    specifică numărul num al culorii fondului nivelului doi al textului pus între ghilimele. În cazul în care se utilizează opțiunea „-q1bc”, valoarea implicită a acestei opțiuni este culoarea de fundal sau a textului normal.

-q3fc num
    specifică numărul num al culorii textului de la nivelul trei al textului pus între ghilimele.

-sbfc num
    specifică numărul num al culorii textului din blocul de text al semnăturii.

-sbbc num
    specifică numărul num al culorii fundalului textului din blocul de semnătură.

ERORI
Modul în care sunt tratate liniile mai lungi decât lățimea de afișare nu este imediat evident. Liniile care continuă dincolo de marginea afișajului sunt indicate printr-un caracter „$” la sfârșitul liniei. Liniile lungi sunt derulate pe orizontală pe măsură ce cursorul se deplasează prin ele.

Fișiere
pico.save	Lucrare întreruptă fără nume, salvată aici.
*.save	Lucrul întrerupt la un fișier cu nume este salvat aici.

Autori
Michael Seibel <mikes@cac.washington.edu>
Laurence Lundblade <lgl@cac.washington.edu>
Pico a fost derivat inițial din MicroEmacs 3.6, de Dave G. Conroy.
Drepturi de autor 1989-2008 de către University of Washington.

Consultați și
alpine(1)
Distribuția sursei (parte a sistemului de mesaje Alpine):

$Date: 02.02.2009 13:54:23 -0600 (Lun, 02 Feb 2009) $

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.